<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                               value="#{ancillaryTransactionManager.filter.urlParameters}"/>
                <script>
                    updateUrl("globalForm:filterUrlParameters");
                    jq162("#globalForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalForm:filterUrlParameters");
                        });

                </script>
                <h1>#{messages['net.ihe.gazelle.atna.AncillaryTransactions']}</h1>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.proxy.Refresh']}"
                                         render="logTable">
                            <span class="fa fa-refresh"></span>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{ancillaryTransactionManager.clearFilter()}"
                                         render="globalForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Keyword']}"/>
                                <ui:param name="filterId" value="keyword"/>
                                <ui:param name="filter" value="#{ancillaryTransactionManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.audit.message.Name']}"/>
                                <ui:param name="filterId" value="name"/>
                                <ui:param name="filter" value="#{ancillaryTransactionManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.SOAPAction']}"/>
                                <ui:param name="filterId" value="action"/>
                                <ui:param name="filter" value="#{ancillaryTransactionManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                        </div>
                    </div>

                </ui:decorate>
                <gri:panel pid="results">
                    #{dataTableStateHolder.setDescendingOn('keyword')}
                    <rich:dataTable value="#{ancillaryTransactionManager.getAncillaryTransactions()}" var="entry"
                                    id="trTable"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="trTableDs">
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.Keyword']}</ui:define>
                            <h:outputText value="#{entry.keyword}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.audit.message.Name']}</ui:define>
                            <h:outputText value="#{entry.name}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.SOAPAction']}</ui:define>
                            <h:outputText value="#{entry.soapAction}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                            <h:outputText value="#{entry.description}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.proxy.Action']}</ui:define>
                            <g:imagelink value="#{entry}" fontIcon="gzl-icon-search"/>
                            <a4j:commandLink action="#{ancillaryTransactionManager.editTransaction(entry)}"
                                             title="#{messages['net.ihe.gazelle.atna.Edit']}">
                                <s:span styleClass="gzl-icon-pencil"/>
                            </a4j:commandLink>
                            <a4j:commandLink actionListener="#{ancillaryTransactionManager.deleteTransaction(entry)}"
                                             title="#{messages['net.ihe.gazelle.atna.DeleteTransaction']}">
                                <s:span styleClass="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="trTableDs"/>
                                <ui:param name="dataTableId" value="trTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </gri:panel>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>